<?php

namespace Util\Mail\Templates\Teknisa;

use Doctrine\ORM\EntityManager;

class TemplateTeknisa {
	
	const SUBJECT = '';
	const URL_LOGO_CLIENTE = '';
	const STRING_SUPERIOR_DIREITA = '';
	const FOOTER_TEMPLATE = '<img src="https://www.teknisa.com/emails/img/rodape_3.png" width="590" height="84" />';
	const CONTENT_BODY = <<<HTML
		<table border="0" align="center" width="540" cellpadding="0" cellspacing="0" class="container580">
			<tr>
				<td align="left" style="color: #39434b; font-size: 20px; font-family: 'Montserrat', Helvetica, sans-serif; font-weight: 400; padding-bottom:15px; padding-top:20px; line-height: 35px;" class="title_color">
					<!-- ======= section text ====== -->
					<div style="line-height: 22px">
    						Prezado(a) Usuário
					</div>
				</td>	
			</tr>
			<tr>
				<td align="left" class="title_color" style="color: #848999; font-size: 14px; font-family: 'Questrial', sans-serif; mso-line-height-rule: exactly; line-height: 24px; padding-bottom:15px;">
                    <div style="line-height: 24px;">
						<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
						<br />
                    </div>
                </td>
            </tr>
            <tr>
            	<td height="10" style="font-size: 10px; line-height: 10px;">&nbsp;</td>
            </tr>
		</table>
HTML;

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

	public function getTemplate() {
		return file_get_contents(__DIR__.'/template.html');
	}

	public function setValuesTemplate(Array $content) {
		$templateValues = array(
			"@SUBJECT@"                 => (isset($content["SUBJECT"]))                 ? $content["SUBJECT"]                  : self::SUBJECT,
			"@URL_LOGO_CLIENTE@"        => (isset($content["URL_LOGO_CLIENTE"]))        ? $content["URL_LOGO_CLIENTE"]         : self::URL_LOGO_CLIENTE,
			"@STRING_SUPERIOR_DIREITA@" => (isset($content["STRING_SUPERIOR_DIREITA"])) ? $content["STRING_SUPERIOR_DIREITA"]  : self::STRING_SUPERIOR_DIREITA,
			"@CONTENT_BODY@"            => (isset($content["CONTENT_BODY"]))            ? $content["CONTENT_BODY"]             : self::CONTENT_BODY,
			"@FOOTER_TEMPLATE@"         => (isset($content["FOOTER_TEMPLATE"]))         ? $content["FOOTER_TEMPLATE"]          : self::FOOTER_TEMPLATE
		);

		return strtr($this->getTemplate(), $templateValues);
	}

}